#include<bits/stdc++.h>

using namespace std;
ofstream f2("tamgiac.out");
long a,b,c,tg=0;
void kt(long a,long b,long c)
{
	if ((a+b>c)&&(b+c>a)&&(c+a>b))
	{
		f2<<"YES"<<endl;
	}
	else
	{
		f2<<"NO"<<endl;
		tg=1;
		return;
	}
	return;
}

void kq(long a,long b,long c)
{	
	long s;
	s=sqrt((a+b+c)*(a+b-c)*(b+c-a)*(c+a-b))/4;
	f2<<fixed<<setprecision(2)<<s;
	return;
}

int main()
{
	ifstream f1("tamgiac.inp");
	f1>>a>>b>>c;
	kt(a,b,c);
	if(tg==0)
	{
		kq(a,b,c);
	}
	return 0;
}
